--TEST--
delimiters #3 - Sections
--DESCRIPTION--
Sections - Delimiters set outside sections should persist.
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../utils.inc";
use Handlebars\DefaultRegistry;
use Handlebars\SafeString;
$tmpl = '[
{{#section}}
  {{data}}
  |data|
{{/section}}

{{= | | =}}
|#section|
  {{data}}
  |data|
|/section|
]
';
$context = array(
        'section' => true,
        'data' => 'I got interpolated.',
    );
$options = array(
        'compat' => true,
    );
$vm = new VM();
echo $vm->render($tmpl, $context, $options);
--EXPECT--
[
  I got interpolated.
  |data|

  {{data}}
  I got interpolated.
]
